package cokr.xit.ens.core.message.sample.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.annotation.KafkaListener;

import java.io.IOException;

@Slf4j
//@Service
public class KafkaSampleConsumerService {


	@KafkaListener(topics = "testTopic", groupId = "group-id-ens")
	public void consumer1(String message) throws IOException {
		log.info("[consumer1] receive message : " + message);
	}

	@KafkaListener(topics = "testTopic2", groupId = "group-id-ens")
	public void consumer2(String message) throws IOException {
		log.info("[consumer2] receive message : " + message);
	}

}
